NOZZLE_GET_IPS(3)

NAME
nozzle_get_ips - retrieve the list of all configured ips for a given interface

SYNOPSIS
#include <libnozzle.h>

int nozzle_get_ips(
    const nozzle_t       nozzle,
    struct nozzle_ip   **nozzle_ip
);

DESCRIPTION

nozzle_get_ips

nozzle - pointer to the nozzle struct

nozzle_ip - pointer to the head of a list of nozzle_ip structs. The last IP will have next = NULL. nozzle_ip can be NULL if there are no IP addresses associated with this nozzle device. DO NOT free those structs as they are used internally for IP address tracking.

STRUCTURES

Info about an IP address on a nozzle interface as returned from nozzle_get_ips

struct nozzle_ip {

    char     ipaddr[IPADDR_CHAR_MAX+1];  /* The IP address */

    char     prefix[PREFIX_CHAR_MAX+1];  /* Prefix - eg "24" */

    int      domain;                     /* AF_INET or AF_INET6 */

    struct   next;                       /* Pointer to next struct or NULL */
};

RETURN VALUE

0 on success -1 on error and errno is set.

SEE ALSO

nozzle_close(3), nozzle_set_mtu(3), nozzle_get_fd(3), nozzle_get_mtu(3), nozzle_reset_mtu(3), nozzle_set_up(3), nozzle_set_down(3), nozzle_reset_mac(3), nozzle_get_handle_by_name(3), nozzle_run_updown(3), nozzle_open(3), nozzle_del_ip(3), nozzle_get_mac(3), nozzle_set_mac(3), nozzle_get_name_by_handle(3), nozzle_add_ip(3)

COPYRIGHT

Copyright (C) 2010-2026 Red Hat, Inc. All rights reserved.